# include list of attributes for a type
# @param object_type

acs_object_type::get -object_type $object_type -array type_infox

list::create \
    -name attributes \
    -multirow attributes \
    -key attribute_name \
    -row_pretty_plural "[_ dynamic-types.attributes]" \
    -pass_properties {
        object_type
    } -actions [list "[_ acs-kernel.common_Add]" [export_vars -base attribute {object_type}] "[_ dynamic-types.add_attribute]"] \
    -bulk_actions {
    } -elements {
        pretty_name {
            label "[_ dynamic-types.pretty_name]"
            link_url_eval $attribute_url
        }
        attribute_name {
            label "[_ dynamic-types.attribute]"
        }
        datatype {
            label "[_ dynamic-types.datatype]"
        }
	move {
	    label "Change Order"
	    display_template {
		<if @attributes.rownum@ ne 1>
		<a href="@attributes.up_url@">Move Up</a>
		</if>
		<if @attributes.rownum@ ne @attributes:rowcount@>
		<a href="@attributes.down_url@">Move Down</a>
		</if>
	    }
	}
    } -filters {
        object_type {}
    }

db_multirow -extend { attribute_url up_url down_url } attributes get_attributes {} {
    set attribute_url [export_vars -base attribute {object_type attribute_id}]
    set up_url [export_vars -base attribute-move {{direction up} attribute_id}]
    set down_url [export_vars -base attribute-move {{direction down} attribute_id}]
}
